﻿using System;
using System.Linq;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Common;

namespace Module1.ViewModels
{
	public class MyViewModel : INotifyPropertyChanged
	{
		public MyViewModel()
		{
			Items = new ObservableCollection<TileViewModel>();
			foreach (var num in Enumerable.Range(0, 12))
			{
				Items.Add(new TileViewModel() { Header = String.Format("Item {0}", num) });
			}
		}

		public ObservableCollection<TileViewModel> Items { get; set; }


		private TileViewModel maximized;
		public TileViewModel MaximizedTile
		{
			get
			{
				return this.maximized;
			}
			set
			{
				if (this.maximized != value)
				{
					this.maximized = value;
					OnPropertyChanged("MaximizedTile");
				}
			}
		}
        

		/// <summary>
		///     Event for INotifyPropertyChanged.
		/// </summary>
		public event PropertyChangedEventHandler PropertyChanged;

		/// <summary>
		///     Raises the INotifyPropertyChanged event.
		/// </summary>
		/// <param name="propertyName">The property to be included in the INotifyPropertyChanged EventArgs.</param>
		protected virtual void OnPropertyChanged(String propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
        
	}

	public enum ContentState
	{
		SmallContent = 1,
		NormalContent = 0,
		LargeContent = 2
	}
}
