﻿using System.Linq;
using System.Windows.Controls;
using Common;
using Microsoft.Practices.Prism.Events;
using Module1.ViewModels;
using Telerik.Windows.Controls;

namespace Module1.Views
{
	public partial class TileView : UserControl
	{
		private IEventAggregator eventAggregator;
		public TileView()
		{
			InitializeComponent();
		}

		public TileView(IEventAggregator eventAggregator)
			: this()
		{
			this.eventAggregator = eventAggregator;

			this.eventAggregator.GetEvent<TileMaximizedEvent>().Subscribe(MaximizeItemEventHandler);
		}

		public void MaximizeItemEventHandler(int index)
		{
			MyViewModel vm = this.DataContext as MyViewModel;
			if (vm != null)
				vm.MaximizedTile = vm.Items[index];
		}

		private void radTileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			var item = e.Source as RadTileViewItem;
			if (item == null) return;
			var fluidControls = item.ChildrenOfType<RadFluidContentControl>();

			if (fluidControls.Count() != 0)
			{
				var fluidControl = fluidControls.First();
				switch (item.TileState)
				{
					case TileViewItemState.Maximized:
					//DeviceViewModel.ActiveDevice = ((DeviceModel)item.DataContext).Device;
					fluidControl.State = FluidContentControlState.Large;
					break;
					case TileViewItemState.Minimized:
					fluidControl.State = FluidContentControlState.Small;
					break;
					case TileViewItemState.Restored:
					fluidControl.State = FluidContentControlState.Normal;
					break;
				}
			}
		}

	}
}
